%define oname   rake-compiler

Name:       ruby-%{oname}
Version:    1.0.7
Release:    %mkrel 3
Summary:    Rake-based Ruby Extension (C, Java) task generator
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/luislavena/rake-compiler
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Provide a standard and simplified way to build and package
Ruby extensions (C, Java) using Rake as glue.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

# fix shebang
find %{buildroot}%{gem_instdir}/lib/ \
  -type f -exec sed -i '/^#!/d' {} \;

%files
%{_bindir}/rake-compiler
%{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/features
%doc %{gem_instdir}/spec
%doc %{gem_instdir}/tasks
%doc README.rdoc LICENSE.txt History.txt


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 1.0.7-3.mga9
+ Revision: 1826425
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 danf <danf> 1.0.7-2.mga9
+ Revision: 1776168
+ rebuild (emptylog)

* Fri Feb 14 2020 umeabot <umeabot> 1.0.7-2.mga8
+ Revision: 1522517
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 1.0.7-1.mga7
+ Revision: 1360781
- Update to 1.0.7

* Sat Sep 29 2018 pterjan <pterjan> 1.0.5-1.mga7
+ Revision: 1311835
- Update to 1.0.5

* Fri Sep 21 2018 umeabot <umeabot> 1.0.4-2.mga7
+ Revision: 1291203
- Mageia 7 Mass Rebuild

* Sun Aug 20 2017 pterjan <pterjan> 1.0.4-1.mga7
+ Revision: 1142177
- Update to 1.0.4

* Sun Mar 13 2016 pterjan <pterjan> 0.9.6-1.mga6
+ Revision: 989771
- Update to 0.9.6

* Mon Jan 25 2016 pterjan <pterjan> 0.9.5-1.mga6
+ Revision: 927522
- Update to 0.9.5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-5.mga5
+ Revision: 744190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-4.mga5
+ Revision: 688922
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.9.1-3.mga4
+ Revision: 561691
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.9.1-2.mga4
+ Revision: 538279
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 0.9.1-1.mga4
+ Revision: 489178
- Use gem_setup
- Fix file list
- 0.9.1

* Sun Jun 09 2013 fwang <fwang> 0.8.3-1.mga4
+ Revision: 441180
- new version 0.8.3

* Fri Feb 08 2013 umeabot <umeabot> 0.8.1-4.mga3
+ Revision: 396357
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-3.mga3
+ Revision: 381343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.8.1-2.mga3
+ Revision: 313824
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 0.8.1-1.mga3
+ Revision: 256733
- New version
- Spec cleanup

* Sat Apr 09 2011 shikamaru <shikamaru> 0.7.7-1.mga1
+ Revision: 82577
- new version 0.7.7

* Tue Mar 22 2011 shikamaru <shikamaru> 0.7.6-1.mga1
+ Revision: 75723
- New version 0.7.6

* Tue Jan 25 2011 shikamaru <shikamaru> 0.7.5-3.mga1
+ Revision: 39614
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 0.7.5-2.mga1
+ Revision: 34692
- imported package ruby-rake-compiler


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.7.5-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policies

* Sat Dec 18 2010 Rémy Clouard <shikamaru@mandriva.org> 0.7.5-1mdv2011.0
+ Revision: 622891
- Bump release
- new version 0.7.5
- remove ugly hack now that dependencies are fixed

* Sat Dec 04 2010 Rémy Clouard <shikamaru@mandriva.org> 0.7.1-2mdv2011.0
+ Revision: 609237
- FIXME: make rubygem-rake-compiler installable
  The problem is that development dependencies include cucumber
  in version >= 0.4.4 and < 0.5 while we have 0.9.4
  and rspec >= 1.2.9 and < 1.3.0 while we have 2.0.1
  These are development dependencies so I assume it should work without it
  but a cleaner way would be to make it compatible with the versions we have
  but I didn?\226?\128?\153t have time to dig into it to see what would change.

* Thu Nov 04 2010 Rémy Clouard <shikamaru@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 593483
- import rubygem-rake-compiler
